#
# spec file for package numix-gtk-theme
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _theme  Numix
%define _name   numix
Name:           numix-gtk-theme
Version:        2.6.5
Release:        2.3
Summary:        Numix GTK+ theme for MATE, Cinnamon, GNOME, and Xfce
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://numixproject.org/
Source:         https://github.com/numixproject/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE numix-gtk-theme-light-menubars.patch sor.alexei@meowr.ru -- Make light menus (Gtk2), dark menus are buggy in Qt4 QGtk2Style.
Patch0:         %{name}-light-menubars.patch
BuildRequires:  fdupes
BuildRequires:  glib2-tools
BuildRequires:  libxml2-tools
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  rubygem(sass)
BuildArch:      noarch

%description
Numix is a modern flat theme with a combination of light and dark
elements. It supports MATE, GNOME, Xfce, and Openbox.

%package -n metatheme-%{_name}-common
Summary:        Numix Common Theme Files
Group:          System/GUI/Other
Suggests:       gtk2-metatheme-%{_name} = %{version}
Suggests:       gtk3-metatheme-%{_name} = %{version}

%description -n metatheme-%{_name}-common
Numix is a modern flat theme with a combination of light and dark
elements. It supports MATE, GNOME, Xfce, and Openbox.
This package contains common files and themes for Marco, Openbox,
and Xfwm4.

%package -n gtk2-metatheme-%{_name}
Summary:        Numix GTK+2 Theme
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine >= 0.98.1.1
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    packageand(metatheme-%{_name}-common:gtk2)

%description -n gtk2-metatheme-%{_name}
Numix is a modern flat theme with a combination of light and dark
elements. It supports MATE, GNOME, Xfce, and Openbox.
This package contains the GTK+2 theme.

%package -n gtk3-metatheme-%{_name}
Summary:        Numix GTK+3 Theme
Group:          System/GUI/Other
Requires:       gtk3 >= 3.16.0
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    packageand(metatheme-%{_name}-common:gtk3)

%description -n gtk3-metatheme-%{_name}
Numix is a modern flat theme with a combination of light and dark
elements. It supports MATE, GNOME, Xfce, and Openbox.
This package contains the GTK+3 theme.

%prep
%setup -q
%patch0 -p1
chmod a-x CREDITS LICENSE README.md

%build
make %{?_smp_mflags} V=1

%install
%make_install
# Changed to a symlink in numix-gtk-theme 2.6.4, breaks update from older versions.
ls -d %{buildroot}%{_datadir}/themes/Numix/gtk-3.*/assets | while read dir; do
    if [ -L "$dir" ]; then
        real_dir="$(readlink "$dir")"
        rm -f "$dir"
        pushd "$(dirname "$dir")"
        cp -a "$real_dir" "$dir"
        popd
    fi
done
chmod -R a-x+X %{buildroot}%{_datadir}/themes/%{_theme}/
%fdupes %{buildroot}%{_datadir}/

%files -n metatheme-%{_name}-common
%defattr(-,root,root)
%doc CREDITS LICENSE README.md
%{_datadir}/themes/%{_theme}/
%exclude %{_datadir}/themes/%{_theme}/gtk-2.*/
%exclude %{_datadir}/themes/%{_theme}/gtk-3.*/

%files -n gtk2-metatheme-%{_name}
%defattr(-,root,root)
%doc CREDITS LICENSE README.md
%{_datadir}/themes/%{_theme}/gtk-2.*/

%files -n gtk3-metatheme-%{_name}
%defattr(-,root,root)
%doc CREDITS LICENSE README.md
%{_datadir}/themes/%{_theme}/gtk-3.*/

%changelog
* Mon Oct 24 2016 sor.alexei@meowr.ru
- Update to version 2.6.5:
  * Fix Nemo patch-bar padding (gh#numixproject/numix-gtk-theme#548).
  * Add single SVG asset file ready for batch export to PNG
    (gh#numixproject/numix-gtk-theme#579).
  * Remove old svg files (gh#numixproject/numix-gtk-theme#508).
  * GTK+-3.22: Change font syntax from Pango-style to CSS-style
    (gh#numixproject/numix-gtk-theme#571).
  * Add conflict-row styling for Nautilus
    (gh#numixproject/numix-gtk-theme#576).
  * Add monospace code.
  * GTK+-3.20: Optimise popover padding.
  * GTK+-3.20: Fix Combobox menu padding
    (gh#numixproject/numix-gtk-theme#575).
  * Fix scrollbar horizontal icon name
    (gh#numixproject/numix-gtk-theme#599).
  * Add a background to cellrendertext
    (gh#numixproject/numix-gtk-theme#600).
  * GTK+-3.20: Port gnome-panel code
    (gh#numixproject/numix-gtk-theme#550).
  * GTK+-3.20: Fix infobar structure and add entry error and warning
    code.
  * Create and Restructure all assets Adwaita and Arc-theme style.
  * Optimise modelbutton code.
  * Fix title-bar padding in gnome-builder
    (gh#numixproject/numix-gtk-theme#605).
  * Fix OpenBox theme colour (gh#numixproject/numix-gtk-theme#369).
  * GTK+-3.20: Fix backdrop mode in Ubuntu
    (gh#numixproject/numix-gtk-theme#585).
  * A WebkitGtk workaround (gh#numixproject/numix-gtk-theme#572).
  * utils.sh: Fix errors in the do_install function.
  * Add a zip task to Makefile.
* Fri Sep 23 2016 sor.alexei@meowr.ru
- Update to version 2.6.4:
  * No changelog available.
- Rebase numix-gtk-theme-light-menubars.patch.
* Tue Jul 12 2016 sor.alexei@meowr.ru
- Update to version 2.6.1:
  * No changelog available.
* Fri Jun 17 2016 sor.alexei@meowr.ru
- Update to version 2.6.0:
  * No changelog available.
* Fri Jun 10 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160610:
  * No changelog available.
- Add numix-gtk-theme-light-menubars.patch: Make light menus (Gtk2),
  dark menus are buggy in Qt4 QGtkStyle.
* Sun May 29 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160525:
  * No changelog available.
* Tue May 10 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160510.
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160426.
* Sun Apr 17 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160414.
* Mon Apr 11 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160410.
* Fri May  1 2015 sor.alexei@meowr.ru
- Separate GTK+ theme to subpackages.
- Spec cleanup.
* Mon Mar 23 2015 p.drouand@gmail.com
- Initial release (version 2.5.1)
